pragma Warnings (Off);
pragma Ada_95;
with System;
with System.Parameters;
with System.Secondary_Stack;
package ada_main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 11.5.0 20240719 (Red Hat 11.5.0-3)" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gnatbind" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#77fcf8dc#;
   pragma Export (C, u00001, "gnatbindB");
   u00002 : constant Version_32 := 16#d6787f71#;
   pragma Export (C, u00002, "gnatbindS");
   u00003 : constant Version_32 := 16#66132de6#;
   pragma Export (C, u00003, "system__standard_libraryB");
   u00004 : constant Version_32 := 16#c2e9ae39#;
   pragma Export (C, u00004, "system__standard_libraryS");
   u00005 : constant Version_32 := 16#bae57e4b#;
   pragma Export (C, u00005, "ada__exceptionsB");
   u00006 : constant Version_32 := 16#9f6c9838#;
   pragma Export (C, u00006, "ada__exceptionsS");
   u00007 : constant Version_32 := 16#76789da1#;
   pragma Export (C, u00007, "adaS");
   u00008 : constant Version_32 := 16#51b6c352#;
   pragma Export (C, u00008, "ada__exceptions__last_chance_handlerB");
   u00009 : constant Version_32 := 16#2c60dc9e#;
   pragma Export (C, u00009, "ada__exceptions__last_chance_handlerS");
   u00010 : constant Version_32 := 16#c35fd8a9#;
   pragma Export (C, u00010, "systemS");
   u00011 : constant Version_32 := 16#adf22619#;
   pragma Export (C, u00011, "system__soft_linksB");
   u00012 : constant Version_32 := 16#5fe69532#;
   pragma Export (C, u00012, "system__soft_linksS");
   u00013 : constant Version_32 := 16#21fe1654#;
   pragma Export (C, u00013, "system__secondary_stackB");
   u00014 : constant Version_32 := 16#32f4ef2d#;
   pragma Export (C, u00014, "system__secondary_stackS");
   u00015 : constant Version_32 := 16#896564a3#;
   pragma Export (C, u00015, "system__parametersB");
   u00016 : constant Version_32 := 16#840d1c62#;
   pragma Export (C, u00016, "system__parametersS");
   u00017 : constant Version_32 := 16#ced09590#;
   pragma Export (C, u00017, "system__storage_elementsB");
   u00018 : constant Version_32 := 16#ee9c92ad#;
   pragma Export (C, u00018, "system__storage_elementsS");
   u00019 : constant Version_32 := 16#ce3e0e21#;
   pragma Export (C, u00019, "system__soft_links__initializeB");
   u00020 : constant Version_32 := 16#5697fc2b#;
   pragma Export (C, u00020, "system__soft_links__initializeS");
   u00021 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00021, "system__stack_checkingB");
   u00022 : constant Version_32 := 16#4de0b341#;
   pragma Export (C, u00022, "system__stack_checkingS");
   u00023 : constant Version_32 := 16#34742901#;
   pragma Export (C, u00023, "system__exception_tableB");
   u00024 : constant Version_32 := 16#9861d954#;
   pragma Export (C, u00024, "system__exception_tableS");
   u00025 : constant Version_32 := 16#ce4af020#;
   pragma Export (C, u00025, "system__exceptionsB");
   u00026 : constant Version_32 := 16#ab3cb55f#;
   pragma Export (C, u00026, "system__exceptionsS");
   u00027 : constant Version_32 := 16#69416224#;
   pragma Export (C, u00027, "system__exceptions__machineB");
   u00028 : constant Version_32 := 16#bff81f32#;
   pragma Export (C, u00028, "system__exceptions__machineS");
   u00029 : constant Version_32 := 16#aa0563fc#;
   pragma Export (C, u00029, "system__exceptions_debugB");
   u00030 : constant Version_32 := 16#bb4549d2#;
   pragma Export (C, u00030, "system__exceptions_debugS");
   u00031 : constant Version_32 := 16#73d6abe2#;
   pragma Export (C, u00031, "system__img_intS");
   u00032 : constant Version_32 := 16#01838199#;
   pragma Export (C, u00032, "system__tracebackB");
   u00033 : constant Version_32 := 16#83d22ef2#;
   pragma Export (C, u00033, "system__tracebackS");
   u00034 : constant Version_32 := 16#1f08c83e#;
   pragma Export (C, u00034, "system__traceback_entriesB");
   u00035 : constant Version_32 := 16#e5f70bc8#;
   pragma Export (C, u00035, "system__traceback_entriesS");
   u00036 : constant Version_32 := 16#a0281f47#;
   pragma Export (C, u00036, "system__traceback__symbolicB");
   u00037 : constant Version_32 := 16#9fa412cf#;
   pragma Export (C, u00037, "system__traceback__symbolicS");
   u00038 : constant Version_32 := 16#701f9d88#;
   pragma Export (C, u00038, "ada__exceptions__tracebackB");
   u00039 : constant Version_32 := 16#6b52f2d4#;
   pragma Export (C, u00039, "ada__exceptions__tracebackS");
   u00040 : constant Version_32 := 16#a0d3d22b#;
   pragma Export (C, u00040, "system__address_imageB");
   u00041 : constant Version_32 := 16#62b34593#;
   pragma Export (C, u00041, "system__address_imageS");
   u00042 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00042, "system__wch_conB");
   u00043 : constant Version_32 := 16#d822fa7b#;
   pragma Export (C, u00043, "system__wch_conS");
   u00044 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00044, "system__wch_stwB");
   u00045 : constant Version_32 := 16#f533d67a#;
   pragma Export (C, u00045, "system__wch_stwS");
   u00046 : constant Version_32 := 16#a831679c#;
   pragma Export (C, u00046, "system__wch_cnvB");
   u00047 : constant Version_32 := 16#d7954088#;
   pragma Export (C, u00047, "system__wch_cnvS");
   u00048 : constant Version_32 := 16#5ab55268#;
   pragma Export (C, u00048, "interfacesS");
   u00049 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00049, "system__wch_jisB");
   u00050 : constant Version_32 := 16#57e559a9#;
   pragma Export (C, u00050, "system__wch_jisS");
   u00051 : constant Version_32 := 16#063ab826#;
   pragma Export (C, u00051, "aliB");
   u00052 : constant Version_32 := 16#2cbacb45#;
   pragma Export (C, u00052, "aliS");
   u00053 : constant Version_32 := 16#fbf56ece#;
   pragma Export (C, u00053, "butilB");
   u00054 : constant Version_32 := 16#1f0841fb#;
   pragma Export (C, u00054, "butilS");
   u00055 : constant Version_32 := 16#b5988c27#;
   pragma Export (C, u00055, "gnatS");
   u00056 : constant Version_32 := 16#6c2f2eee#;
   pragma Export (C, u00056, "optB");
   u00057 : constant Version_32 := 16#030e29a3#;
   pragma Export (C, u00057, "optS");
   u00058 : constant Version_32 := 16#49df3e8c#;
   pragma Export (C, u00058, "hostparmS");
   u00059 : constant Version_32 := 16#fd83e873#;
   pragma Export (C, u00059, "system__concat_2B");
   u00060 : constant Version_32 := 16#c1ff0f79#;
   pragma Export (C, u00060, "system__concat_2S");
   u00061 : constant Version_32 := 16#6c19cecc#;
   pragma Export (C, u00061, "typesB");
   u00062 : constant Version_32 := 16#c3e6c856#;
   pragma Export (C, u00062, "typesS");
   u00063 : constant Version_32 := 16#a1d6147d#;
   pragma Export (C, u00063, "system__compare_array_unsigned_8B");
   u00064 : constant Version_32 := 16#6a5ca924#;
   pragma Export (C, u00064, "system__compare_array_unsigned_8S");
   u00065 : constant Version_32 := 16#a8025f3c#;
   pragma Export (C, u00065, "system__address_operationsB");
   u00066 : constant Version_32 := 16#d053669a#;
   pragma Export (C, u00066, "system__address_operationsS");
   u00067 : constant Version_32 := 16#2df88af4#;
   pragma Export (C, u00067, "system__unsigned_typesS");
   u00068 : constant Version_32 := 16#2a8e89ad#;
   pragma Export (C, u00068, "system__stringsB");
   u00069 : constant Version_32 := 16#a349f43c#;
   pragma Export (C, u00069, "system__stringsS");
   u00070 : constant Version_32 := 16#bf80e4b1#;
   pragma Export (C, u00070, "outputB");
   u00071 : constant Version_32 := 16#e3428074#;
   pragma Export (C, u00071, "outputS");
   u00072 : constant Version_32 := 16#20f06d4b#;
   pragma Export (C, u00072, "system__os_libB");
   u00073 : constant Version_32 := 16#d872da39#;
   pragma Export (C, u00073, "system__os_libS");
   u00074 : constant Version_32 := 16#ec4d5631#;
   pragma Export (C, u00074, "system__case_utilB");
   u00075 : constant Version_32 := 16#fc8a6efd#;
   pragma Export (C, u00075, "system__case_utilS");
   u00076 : constant Version_32 := 16#8ab6c713#;
   pragma Export (C, u00076, "system__crtlS");
   u00077 : constant Version_32 := 16#9f114ece#;
   pragma Export (C, u00077, "nametB");
   u00078 : constant Version_32 := 16#e7dd7235#;
   pragma Export (C, u00078, "nametS");
   u00079 : constant Version_32 := 16#91fc5baa#;
   pragma Export (C, u00079, "debugB");
   u00080 : constant Version_32 := 16#1ac546f9#;
   pragma Export (C, u00080, "debugS");
   u00081 : constant Version_32 := 16#681a08ef#;
   pragma Export (C, u00081, "widecharB");
   u00082 : constant Version_32 := 16#446a3394#;
   pragma Export (C, u00082, "widecharS");
   u00083 : constant Version_32 := 16#972e59bd#;
   pragma Export (C, u00083, "allocS");
   u00084 : constant Version_32 := 16#7c445b0c#;
   pragma Export (C, u00084, "tableB");
   u00085 : constant Version_32 := 16#41c526e4#;
   pragma Export (C, u00085, "tableS");
   u00086 : constant Version_32 := 16#eca5ecae#;
   pragma Export (C, u00086, "system__memoryB");
   u00087 : constant Version_32 := 16#9a22be9d#;
   pragma Export (C, u00087, "system__memoryS");
   u00088 : constant Version_32 := 16#9b950d9a#;
   pragma Export (C, u00088, "fnameB");
   u00089 : constant Version_32 := 16#68d76a58#;
   pragma Export (C, u00089, "fnameS");
   u00090 : constant Version_32 := 16#2044a70d#;
   pragma Export (C, u00090, "gnat__dynamic_htablesB");
   u00091 : constant Version_32 := 16#05f952b6#;
   pragma Export (C, u00091, "gnat__dynamic_htablesS");
   u00092 : constant Version_32 := 16#c99bd678#;
   pragma Export (C, u00092, "osintB");
   u00093 : constant Version_32 := 16#c725cfe8#;
   pragma Export (C, u00093, "osintS");
   u00094 : constant Version_32 := 16#64f9524a#;
   pragma Export (C, u00094, "fmapB");
   u00095 : constant Version_32 := 16#bcdfb7eb#;
   pragma Export (C, u00095, "fmapS");
   u00096 : constant Version_32 := 16#be789e08#;
   pragma Export (C, u00096, "gnat__htableB");
   u00097 : constant Version_32 := 16#7a3e0440#;
   pragma Export (C, u00097, "gnat__htableS");
   u00098 : constant Version_32 := 16#796f31f1#;
   pragma Export (C, u00098, "system__htableB");
   u00099 : constant Version_32 := 16#479d6b43#;
   pragma Export (C, u00099, "system__htableS");
   u00100 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00100, "system__string_hashB");
   u00101 : constant Version_32 := 16#e5c3003d#;
   pragma Export (C, u00101, "system__string_hashS");
   u00102 : constant Version_32 := 16#da8ef8b1#;
   pragma Export (C, u00102, "gnatvsnB");
   u00103 : constant Version_32 := 16#290e7516#;
   pragma Export (C, u00103, "gnatvsnS");
   u00104 : constant Version_32 := 16#00118c82#;
   pragma Export (C, u00104, "sdefaultB");
   u00105 : constant Version_32 := 16#93b05778#;
   pragma Export (C, u00105, "sdefaultS");
   u00106 : constant Version_32 := 16#4fd45a35#;
   pragma Export (C, u00106, "targparmB");
   u00107 : constant Version_32 := 16#68e83eaf#;
   pragma Export (C, u00107, "targparmS");
   u00108 : constant Version_32 := 16#295d6133#;
   pragma Export (C, u00108, "csetsB");
   u00109 : constant Version_32 := 16#e948558f#;
   pragma Export (C, u00109, "csetsS");
   u00110 : constant Version_32 := 16#327bc725#;
   pragma Export (C, u00110, "ridentS");
   u00111 : constant Version_32 := 16#ea992732#;
   pragma Export (C, u00111, "snamesB");
   u00112 : constant Version_32 := 16#1a73fda5#;
   pragma Export (C, u00112, "snamesS");
   u00113 : constant Version_32 := 16#a0426790#;
   pragma Export (C, u00113, "casingB");
   u00114 : constant Version_32 := 16#e37b1839#;
   pragma Export (C, u00114, "casingS");
   u00115 : constant Version_32 := 16#cb8e1648#;
   pragma Export (C, u00115, "ali__utilB");
   u00116 : constant Version_32 := 16#3f5521e8#;
   pragma Export (C, u00116, "ali__utilS");
   u00117 : constant Version_32 := 16#026f7f68#;
   pragma Export (C, u00117, "atreeB");
   u00118 : constant Version_32 := 16#48a1f9da#;
   pragma Export (C, u00118, "atreeS");
   u00119 : constant Version_32 := 16#f712c0d3#;
   pragma Export (C, u00119, "aspectsB");
   u00120 : constant Version_32 := 16#e5699061#;
   pragma Export (C, u00120, "aspectsS");
   u00121 : constant Version_32 := 16#43beeb18#;
   pragma Export (C, u00121, "einfoB");
   u00122 : constant Version_32 := 16#be34d650#;
   pragma Export (C, u00122, "einfoS");
   u00123 : constant Version_32 := 16#c241e7e4#;
   pragma Export (C, u00123, "elistsB");
   u00124 : constant Version_32 := 16#879e607d#;
   pragma Export (C, u00124, "elistsS");
   u00125 : constant Version_32 := 16#c9d0b796#;
   pragma Export (C, u00125, "nlistsB");
   u00126 : constant Version_32 := 16#1556279b#;
   pragma Export (C, u00126, "nlistsS");
   u00127 : constant Version_32 := 16#43c30173#;
   pragma Export (C, u00127, "sinfoB");
   u00128 : constant Version_32 := 16#5747529f#;
   pragma Export (C, u00128, "sinfoS");
   u00129 : constant Version_32 := 16#50e1ea32#;
   pragma Export (C, u00129, "uintpB");
   u00130 : constant Version_32 := 16#37faf73b#;
   pragma Export (C, u00130, "uintpS");
   u00131 : constant Version_32 := 16#9446d6e3#;
   pragma Export (C, u00131, "urealpB");
   u00132 : constant Version_32 := 16#cb7ac010#;
   pragma Export (C, u00132, "urealpS");
   u00133 : constant Version_32 := 16#519db5fe#;
   pragma Export (C, u00133, "standS");
   u00134 : constant Version_32 := 16#b681cd82#;
   pragma Export (C, u00134, "sinputB");
   u00135 : constant Version_32 := 16#6ba7c63e#;
   pragma Export (C, u00135, "sinputS");
   u00136 : constant Version_32 := 16#f546f02e#;
   pragma Export (C, u00136, "gnat__byte_order_markB");
   u00137 : constant Version_32 := 16#9e8b3c0b#;
   pragma Export (C, u00137, "gnat__byte_order_markS");
   u00138 : constant Version_32 := 16#c65bbf3d#;
   pragma Export (C, u00138, "scansB");
   u00139 : constant Version_32 := 16#5cdb23c4#;
   pragma Export (C, u00139, "scansS");
   u00140 : constant Version_32 := 16#e6711d8b#;
   pragma Export (C, u00140, "binderrB");
   u00141 : constant Version_32 := 16#1570faa7#;
   pragma Export (C, u00141, "binderrS");
   u00142 : constant Version_32 := 16#ced5f701#;
   pragma Export (C, u00142, "err_varsS");
   u00143 : constant Version_32 := 16#5668aaf7#;
   pragma Export (C, u00143, "erroutB");
   u00144 : constant Version_32 := 16#a07e0cd1#;
   pragma Export (C, u00144, "erroutS");
   u00145 : constant Version_32 := 16#fdff68f4#;
   pragma Export (C, u00145, "erroutcB");
   u00146 : constant Version_32 := 16#88e6daad#;
   pragma Export (C, u00146, "erroutcS");
   u00147 : constant Version_32 := 16#6a13bd77#;
   pragma Export (C, u00147, "stringtB");
   u00148 : constant Version_32 := 16#980edbcb#;
   pragma Export (C, u00148, "stringtS");
   u00149 : constant Version_32 := 16#10a7215e#;
   pragma Export (C, u00149, "libB");
   u00150 : constant Version_32 := 16#7ef142fa#;
   pragma Export (C, u00150, "libS");
   u00151 : constant Version_32 := 16#40ba70a5#;
   pragma Export (C, u00151, "unameB");
   u00152 : constant Version_32 := 16#69dfeb90#;
   pragma Export (C, u00152, "unameS");
   u00153 : constant Version_32 := 16#76aa359f#;
   pragma Export (C, u00153, "sem_auxB");
   u00154 : constant Version_32 := 16#a9a513b4#;
   pragma Export (C, u00154, "sem_auxS");
   u00155 : constant Version_32 := 16#a8dfcb43#;
   pragma Export (C, u00155, "styleswB");
   u00156 : constant Version_32 := 16#88801689#;
   pragma Export (C, u00156, "styleswS");
   u00157 : constant Version_32 := 16#5df1e86e#;
   pragma Export (C, u00157, "scngB");
   u00158 : constant Version_32 := 16#6b2bdf7d#;
   pragma Export (C, u00158, "scngS");
   u00159 : constant Version_32 := 16#1c868fea#;
   pragma Export (C, u00159, "system__crc32B");
   u00160 : constant Version_32 := 16#7a4d0206#;
   pragma Export (C, u00160, "system__crc32S");
   u00161 : constant Version_32 := 16#a23f8c52#;
   pragma Export (C, u00161, "system__utf_32B");
   u00162 : constant Version_32 := 16#e790abb4#;
   pragma Export (C, u00162, "system__utf_32S");
   u00163 : constant Version_32 := 16#75f36fe2#;
   pragma Export (C, u00163, "stylegB");
   u00164 : constant Version_32 := 16#933be74f#;
   pragma Export (C, u00164, "stylegS");
   u00165 : constant Version_32 := 16#78d59949#;
   pragma Export (C, u00165, "sinput__cB");
   u00166 : constant Version_32 := 16#8fa8dc66#;
   pragma Export (C, u00166, "sinput__cS");
   u00167 : constant Version_32 := 16#60ef8cd4#;
   pragma Export (C, u00167, "bcheckB");
   u00168 : constant Version_32 := 16#881dacd4#;
   pragma Export (C, u00168, "bcheckS");
   u00169 : constant Version_32 := 16#b8e6edad#;
   pragma Export (C, u00169, "bindgenB");
   u00170 : constant Version_32 := 16#09277e71#;
   pragma Export (C, u00170, "bindgenS");
   u00171 : constant Version_32 := 16#971572dd#;
   pragma Export (C, u00171, "gnat__heap_sort_aB");
   u00172 : constant Version_32 := 16#0e248684#;
   pragma Export (C, u00172, "gnat__heap_sort_aS");
   u00173 : constant Version_32 := 16#a17312a7#;
   pragma Export (C, u00173, "osint__bB");
   u00174 : constant Version_32 := 16#aa8d3012#;
   pragma Export (C, u00174, "osint__bS");
   u00175 : constant Version_32 := 16#127e08ed#;
   pragma Export (C, u00175, "bindoB");
   u00176 : constant Version_32 := 16#fb4d76cd#;
   pragma Export (C, u00176, "bindoS");
   u00177 : constant Version_32 := 16#a76c08a2#;
   pragma Export (C, u00177, "bindeB");
   u00178 : constant Version_32 := 16#aa1f4269#;
   pragma Export (C, u00178, "bindeS");
   u00179 : constant Version_32 := 16#bb521871#;
   pragma Export (C, u00179, "bindo__elaboratorsB");
   u00180 : constant Version_32 := 16#ba15b383#;
   pragma Export (C, u00180, "bindo__elaboratorsS");
   u00181 : constant Version_32 := 16#8eb07d92#;
   pragma Export (C, u00181, "bindo__augmentorsB");
   u00182 : constant Version_32 := 16#4de1d230#;
   pragma Export (C, u00182, "bindo__augmentorsS");
   u00183 : constant Version_32 := 16#d9568d67#;
   pragma Export (C, u00183, "bindo__writersB");
   u00184 : constant Version_32 := 16#48538e22#;
   pragma Export (C, u00184, "bindo__writersS");
   u00185 : constant Version_32 := 16#0426d861#;
   pragma Export (C, u00185, "bindo__unitsB");
   u00186 : constant Version_32 := 16#02e8d8ea#;
   pragma Export (C, u00186, "bindo__unitsS");
   u00187 : constant Version_32 := 16#6fec6580#;
   pragma Export (C, u00187, "gnat__setsB");
   u00188 : constant Version_32 := 16#d4fca1b1#;
   pragma Export (C, u00188, "gnat__setsS");
   u00189 : constant Version_32 := 16#de8cdcd4#;
   pragma Export (C, u00189, "gnat__graphsB");
   u00190 : constant Version_32 := 16#4a2a0f3d#;
   pragma Export (C, u00190, "gnat__graphsS");
   u00191 : constant Version_32 := 16#21be9788#;
   pragma Export (C, u00191, "gnat__listsB");
   u00192 : constant Version_32 := 16#00c03999#;
   pragma Export (C, u00192, "gnat__listsS");
   u00193 : constant Version_32 := 16#2a9401e4#;
   pragma Export (C, u00193, "bindo__graphsB");
   u00194 : constant Version_32 := 16#943f65b5#;
   pragma Export (C, u00194, "bindo__graphsS");
   u00195 : constant Version_32 := 16#eac54676#;
   pragma Export (C, u00195, "bindo__buildersB");
   u00196 : constant Version_32 := 16#1ff68edf#;
   pragma Export (C, u00196, "bindo__buildersS");
   u00197 : constant Version_32 := 16#63ff9f46#;
   pragma Export (C, u00197, "bindo__validatorsB");
   u00198 : constant Version_32 := 16#500a8d28#;
   pragma Export (C, u00198, "bindo__validatorsS");
   u00199 : constant Version_32 := 16#acd029ee#;
   pragma Export (C, u00199, "bindo__diagnosticsB");
   u00200 : constant Version_32 := 16#0693eff6#;
   pragma Export (C, u00200, "bindo__diagnosticsS");
   u00201 : constant Version_32 := 16#9c3f03b7#;
   pragma Export (C, u00201, "bindusgB");
   u00202 : constant Version_32 := 16#12f067e3#;
   pragma Export (C, u00202, "bindusgS");
   u00203 : constant Version_32 := 16#8f5dbeb3#;
   pragma Export (C, u00203, "switchB");
   u00204 : constant Version_32 := 16#78bd7fb3#;
   pragma Export (C, u00204, "switchS");
   u00205 : constant Version_32 := 16#6c469fc5#;
   pragma Export (C, u00205, "switch__bB");
   u00206 : constant Version_32 := 16#2c145cac#;
   pragma Export (C, u00206, "switch__bS");
   u00207 : constant Version_32 := 16#ea932337#;
   pragma Export (C, u00207, "system__response_fileB");
   u00208 : constant Version_32 := 16#f2a06149#;
   pragma Export (C, u00208, "system__response_fileS");

   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  interfaces%s
   --  system%s
   --  system.address_operations%s
   --  system.address_operations%b
   --  system.img_int%s
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%s
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  system.unsigned_types%s
   --  system.utf_32%s
   --  system.utf_32%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%s
   --  system.wch_cnv%b
   --  system.compare_array_unsigned_8%s
   --  system.compare_array_unsigned_8%b
   --  system.concat_2%s
   --  system.concat_2%b
   --  system.crc32%s
   --  system.crc32%b
   --  system.traceback%s
   --  system.traceback%b
   --  system.secondary_stack%s
   --  system.standard_library%s
   --  ada.exceptions%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.soft_links%s
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  ada.exceptions.traceback%s
   --  ada.exceptions.traceback%b
   --  system.address_image%s
   --  system.address_image%b
   --  system.exception_table%s
   --  system.exception_table%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.exceptions.machine%b
   --  system.memory%s
   --  system.memory%b
   --  system.secondary_stack%b
   --  system.soft_links.initialize%s
   --  system.soft_links.initialize%b
   --  system.soft_links%b
   --  system.standard_library%b
   --  system.traceback.symbolic%s
   --  system.traceback.symbolic%b
   --  ada.exceptions%b
   --  gnat%s
   --  gnat.heap_sort_a%s
   --  gnat.heap_sort_a%b
   --  gnat.htable%s
   --  gnat.htable%b
   --  system.case_util%s
   --  system.case_util%b
   --  system.os_lib%s
   --  system.os_lib%b
   --  gnat.byte_order_mark%s
   --  gnat.byte_order_mark%b
   --  gnat.dynamic_htables%s
   --  gnat.dynamic_htables%b
   --  gnat.lists%s
   --  gnat.lists%b
   --  gnat.sets%s
   --  gnat.sets%b
   --  gnat.graphs%s
   --  gnat.graphs%b
   --  system.response_file%s
   --  system.response_file%b
   --  debug%s
   --  debug%b
   --  types%s
   --  types%b
   --  alloc%s
   --  gnatvsn%s
   --  gnatvsn%b
   --  hostparm%s
   --  opt%s
   --  opt%b
   --  csets%s
   --  csets%b
   --  output%s
   --  output%b
   --  rident%s
   --  stand%s
   --  stylesw%s
   --  stylesw%b
   --  table%s
   --  table%b
   --  elists%s
   --  elists%b
   --  uintp%s
   --  uintp%b
   --  urealp%s
   --  urealp%b
   --  widechar%s
   --  widechar%b
   --  namet%s
   --  namet%b
   --  butil%s
   --  butil%b
   --  binderr%s
   --  binderr%b
   --  casing%s
   --  casing%b
   --  err_vars%s
   --  fmap%s
   --  osint%s
   --  fmap%b
   --  sdefault%s
   --  sdefault%b
   --  targparm%s
   --  targparm%b
   --  osint%b
   --  fname%s
   --  fname%b
   --  osint.b%s
   --  osint.b%b
   --  snames%s
   --  snames%b
   --  ali%s
   --  ali%b
   --  binde%s
   --  binde%b
   --  bindgen%s
   --  bindgen%b
   --  bindo%s
   --  bindo.units%s
   --  bindo.graphs%s
   --  bindo.augmentors%s
   --  bindo.builders%s
   --  bindo.diagnostics%s
   --  bindo.elaborators%s
   --  bindo%b
   --  bindo.validators%s
   --  bindo.writers%s
   --  bindo.writers%b
   --  bindo.augmentors%b
   --  bindo.builders%b
   --  bindo.diagnostics%b
   --  bindo.elaborators%b
   --  bindo.graphs%b
   --  bindo.units%b
   --  bindo.validators%b
   --  scans%s
   --  scans%b
   --  aspects%s
   --  einfo%s
   --  nlists%s
   --  sinfo%s
   --  atree%s
   --  aspects%b
   --  einfo%b
   --  nlists%b
   --  sinfo%b
   --  sinput%s
   --  sinput%b
   --  atree%b
   --  sem_aux%s
   --  sem_aux%b
   --  sinput.c%s
   --  sinput.c%b
   --  stringt%s
   --  stringt%b
   --  erroutc%s
   --  erroutc%b
   --  lib%s
   --  uname%s
   --  uname%b
   --  lib%b
   --  errout%s
   --  errout%b
   --  styleg%s
   --  styleg%b
   --  scng%s
   --  scng%b
   --  ali.util%s
   --  ali.util%b
   --  bcheck%s
   --  bcheck%b
   --  switch%s
   --  switch%b
   --  bindusg%s
   --  bindusg%b
   --  switch.b%s
   --  switch.b%b
   --  gnatbind%s
   --  gnatbind%b
   --  END ELABORATION ORDER

end ada_main;
